<ion-header class="ion-no-border">
  <ion-toolbar class="tool-bar-ad" color="translucent">
    <!-- <ion-item lines="none" class="bg-transparent">
      <ion-labe class="header-text">We believe in commitment</ion-labe>
    </ion-item> -->

    <ion-grid *ngIf="actionTyVal==='public'">
      <ion-row class="ion-text-center">
        <ion-col (click)="getLisFeesList()">
          <ion-icon style="font-size: 40px;" name="bar-chart-outline" color="tertiary"></ion-icon>
          <br/>
          <p style="color: #fff;">Total&nbsp; &#8377; {{getBalance(publicList[0]?.collection) | number: '2.0-1'}}</p>
        </ion-col>
        <!-- <ion-col>2</ion-col>
        <ion-col>3</ion-col> -->
      </ion-row>
    </ion-grid>

    <!-- <img src="assets/icon/Floral.jpeg" alt="" height="150" class="logo" (click)="goToBack()"> -->
  </ion-toolbar>

  <ion-toolbar color="translucent" *ngIf="actionTyVal==='public' && !adminUser">
    <ion-item lines="none" class="background-trans ion-no-margin">
      <ion-label slot="start" class="title-lbl ion-no-margin ion-no-padding">
        {{publicList[0]?.name || 'My Record'}}
      </ion-label>
    </ion-item>
  </ion-toolbar>

  <ion-toolbar color="translucent" *ngIf="adminUser && actionTyVal!=='public'">
    
    <ion-segment [value]="actionTyVal" (ionChange)="selectSegment($event)" class="bg-transparent" scrollable>
      <ion-segment-button (click)="addEvent()">
        <ion-label>Date</ion-label>
      </ion-segment-button>

      <ion-segment-button value="data">
        <ion-label>Data</ion-label>
      </ion-segment-button>

      <ion-segment-button value="entry">
        <ion-label>Entry</ion-label>
      </ion-segment-button>

      <ion-segment-button value="accademic">
        <ion-label>Accademic</ion-label>
      </ion-segment-button>

      <ion-segment-button value="students">
        <ion-label>Students</ion-label>
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>
</ion-header>

<ion-content class="content content-rds bg-transparent">
  <!-- Admin User -->
  <div *ngIf="actionTyVal==='data' && adminUser">
    <ion-list class="bg-transparent">
      <ion-item lines="none" class="lst-item" *ngFor="let per of publicList">
        <ion-label class="local-lbl ion-no-margin" slot="start">{{per.name}}
          <p>{{per.adhar}}</p>
        </ion-label>
        <ion-icon slot="end" color="dark" name="create-outline" (click)="updateModal(per)"></ion-icon>
      </ion-item>
    </ion-list>
    <app-common *ngIf="publicList?.length<=0 && adminUser"></app-common>
  </div>

  

  <!-- Admin User -->
  <div *ngIf="actionTyVal==='entry' && adminUser" class="bg-transparent">
    <ion-card class="admin-card box-shd bg-transparent">
      <ion-card-header class="ion-no-padding">
      </ion-card-header>

      <ion-card-content class="ion-no-padding bg-transparent">

        <!-- <app-common></app-common> -->
        <form [formGroup]="entryForm">
          <ion-item lines="none" class="bg-transparent">
            <ion-label class="local-lbl in-lbl" position="stacked">Name</ion-label>
            <ion-input class="ion-no-padding custom-input" formControlName="name" placeholder="Azeem"></ion-input>

          </ion-item>

          <ion-item lines="none" class="bg-transparent">
            <ion-label class="local-lbl in-lbl" position="stacked">Aadhar</ion-label>
            <ion-input class="ion-no-padding custom-input" type="number" formControlName="adhar"
              placeholder="213016452124"></ion-input>
          </ion-item>

          <ion-item lines="none" class="bg-transparent">
            <ion-label class="local-lbl in-lbl" position="stacked">At</ion-label>
            <ion-input class="ion-no-padding custom-input" formControlName="at" placeholder="Sidokar"></ion-input>
          </ion-item>

          <!-- <ion-item lines="none" class="bg-transparent">
            <ion-label class="local-lbl in-lbl" position="stacked">child</ion-label>
            <ion-input class="ion-no-padding custom-input" formControlName="child"
              placeholder="abc xyz efg..."></ion-input>
          </ion-item> -->
        </form>
      </ion-card-content>
    </ion-card>
  </div>

  <!-- Admin User -->
  <div *ngIf="actionTyVal==='accademic' && adminUser">
    <ion-card class="admin-card box-shd bg-transparent">
      <ion-card-content class="ion-no-padding">

        <form [formGroup]="accademicForm">

          <ion-item lines="none" class="background-trans">
            <ion-label class="local-lbl in-lbl" position="stacked">Type</ion-label>
            <ion-input class="ion-no-padding custom-input" placeholder="Final exam" formControlName="type"></ion-input>
          </ion-item>

          <ion-item lines="none" class="background-trans">
            <ion-label class="local-lbl in-lbl" position="stacked">Class</ion-label>
            <ion-input class="ion-no-padding custom-input" placeholder="XII" formControlName="class"></ion-input>
          </ion-item>

          <ion-item lines="none" class="background-trans">
            <ion-input slot="start" class="in-sub ion-no-margin ion-no-padding" placeholder="subject"
              [(ngModel)]="combine.subject" [ngModelOptions]="{standalone: true}"></ion-input>
            <ion-input slot="start" type="number" class="in-mark ion-no-margin ion-no-padding" placeholder="Marks"
              [(ngModel)]="combine.mark" [ngModelOptions]="{standalone: true}"></ion-input>
            <ion-input slot="end" class="in-date ion-no-margin ion-no-padding" placeholder="01/12/2023"
              [(ngModel)]="combine.date" [ngModelOptions]="{standalone: true}"></ion-input>
          </ion-item>

          <ion-item *ngIf="accademicForm?.get('subjects')?.value.length>0" lines="none" class="background-trans">
            <ion-label slot="start" class="local-lbl ion-no-margin ion-no-padding">Subject</ion-label>
            <ion-label slot="start" class="local-lbl ion-no-margin ion-no-padding">Mark</ion-label>
            <ion-label slot="start" class="local-lbl ion-no-margin ion-no-padding">Date</ion-label>
            <ion-label slot="end" class="local-lbl ion-no-margin ion-no-padding">remove</ion-label>

          </ion-item>

          <div *ngFor="let skill of accademicForm.get('subjects')?.value; let i=index">

            <ion-item lines="none" class="background-trans" *ngIf="accademicForm?.get('subjects')?.value.length>0">
              <ion-label slot="start" class="local-lbl ion-no-margin ion-no-padding">{{skill.subject}}</ion-label>
              <ion-label slot="start" class="local-lbl ion-no-margin ion-no-padding">{{skill.mark}}</ion-label>
              <ion-label slot="start" class="local-lbl ion-no-margin ion-no-padding">{{skill.date}}</ion-label>

              <ion-button *ngIf="accademicForm?.get('subjects')?.value.length>0" slot="end" (click)="removeSubject(i)" color="danger" class="ion-no-margin ion-no-padding">
                <ion-icon slot="icon-only" name="remove-outline"></ion-icon>
              </ion-button>
            </ion-item>

            <app-common *ngIf="accademicForm.get('subjects')?.value?.length<=0 && adminUser"></app-common>
          </div>

          <ion-item lines="none" class="background-trans">
            <ion-label class="local-lbl in-lbl" position="stacked">Note</ion-label>
            <ion-textarea class="ion-no-padding custom-input" placeholder="Type something here"
              formControlName="note"></ion-textarea>
          </ion-item>

          <ion-item lines="none" class="background-trans">
            <ion-button slot="start" fill="clear" (click)="addSubject()">
              <ion-icon slot="icon-only" color="primary" name="add-outline"></ion-icon>
              Add subject
            </ion-button>

            <ion-button slot="end" fill="clear" (click)="submitSchedule()">
              <ion-icon slot="icon-only" color="primary" name="checkmark-outline"></ion-icon>
              submit exam
            </ion-button>
          </ion-item>

        </form>




      </ion-card-content>
    </ion-card>
  </div>

  <!-- Admin User -->
  <div *ngIf="actionTyVal==='students' && adminUser">
    <ion-list class="bg-transparent">
      <ion-item lines="none" class="lst-item" *ngFor="let std of studentsList">

        <ion-badge slot="start" color="primary" *ngIf="std?.exam && std?.exam?.length !== this.examsList?.length"
          class="badge-icon">{{remain(std)}}</ion-badge>
        <ion-label class="local-lbl ion-no-margin" slot="start">{{std.name}} {{std.father}}
        </ion-label>
        
        <ion-checkbox *ngIf="std?.exam && syncAvailExam(std)" slot="end" color="tertiary"
          [checked]="syncAvailExam(std)" mode="ios"></ion-checkbox>

        <ion-button slot="end" fill="clear" *ngIf="examsList.length>0 && !syncAvailExam(std)" (click)="syncOpr(std)">
          <ion-icon slot="icon-only" color="danger" name="refresh-outline"></ion-icon>
        </ion-button>
      </ion-item>
      <app-common *ngIf="studentsList?.length<=0 && adminUser"></app-common>
    </ion-list>
  </div>


  <!-- Public User -->
  <div *ngIf="actionTyVal==='public' && !adminUser">

    <div *ngFor="let std of studentsList">
      <ion-item lines="none" class="background-trans local-lbl" *ngIf="publicList[0]?.name===std?.father">
        <ion-label class="local-lbl" slot="start">{{std?.name}}</ion-label>
      </ion-item>

        <div class="ion-padding conten" *ngIf="publicList[0]?.name===std?.father && std?.exam.length>0">
          <ion-item lines="none" class="background-trans local-lbl" *ngFor="let ex of std?.exam">
            <ion-label class="local-lbl ion-no-margin  ion-no-padding">{{ex?.type}}

              <p class="btm-brdr">{{ex?.class}}</p>
              <p *ngIf="ex?.subjects?.length>0" class="btm-brdr">
                <span class="pub-st-tbl-sub">Subject</span>
                <span class="pub-st-tbl-mark">Mark</span>
                <span class="pub-st-tbl-obt">Obt. Mark</span>
              </p>

              <p *ngFor="let sub of ex?.subjects" class="btm-brdr-lt">
                <span class="pub-st-tbl-sub">{{sub?.subject}}</span>
                <span class="pub-st-tbl-mark">{{sub?.mark}}</span>
                <span class="pub-st-tbl-obt">{{sub.obt_mark}}</span>
              </p>
              <app-common *ngIf="ex?.subjects?.length<=0 && !adminUser"></app-common>

            </ion-label>
            
          </ion-item>
        </div>
    </div>
    
    <!-- <ion-card class="background-trans">
      <ion-card-header>
        <ion-item lines="none" class="background-trans local-lbl">
          <ion-label class="local-lbl" slot="start">Fees List</ion-label>

          <ion-label slot="end" class="local-lbl" class="ion-no-margin local-lbl">
            Total&nbsp; &#8377; {{getBalance(publicList[0]?.collection) | number: '2.0-1'}}
          </ion-label>
        </ion-item>
      </ion-card-header>

      <ion-card-content class="ion-no-padding fees-card-scrl">
        <ion-item lines="none" class="background-trans lst-brdr ion-margin-vertical"
          *ngFor="let fee of publicList[0]?.collection; let i=index;">
          {{(i+1)}}. &nbsp;
          <ion-label class="local-lbl" class="ion-no-margin local-lbl">{{fee.type | uppercase }}
            <p>Amount. {{fee.Fees | number: '2.0-1' }}</p>
            <p> Date. {{fee.created | date:'dd MMM yyyy' }}</p>
          </ion-label>
          <ion-icon slot="end" name="print-outline" (click)="downloaded(fee)"></ion-icon>

        </ion-item>
        <app-common *ngIf="publicList[0]?.collection?.length<=0 && !adminUser"></app-common>

      </ion-card-content>
    </ion-card> -->

  <!-- Result table -->

    <!-- <ion-accordion-group *ngIf="publicList[0]?.child?.length>0" class="ion-padding bg-transparent" (ionChange)="selectUser($event)">
      
      <ion-accordion *ngFor="let chld of publicList[0]?.child;" [value]="chld" class="bg-transparent">
        <ion-item slot="header" lines="none" class="background-trans ion-no-margin  ion-no-padding acc-icon">
          <ion-label class="local-lbl ion-no-margin  ion-no-padding">{{chld}}</ion-label>
        </ion-item>
        <div class="ion-padding conten" slot="content">
          <ion-item lines="none" class="local-lbl ion-margin-top ion-no-margin ion-no-padding"
            *ngFor="let ex of studentDetails[0]?.exam">
            <ion-label class="local-lbl ion-no-margin  ion-no-padding">{{ex?.type}}

              <p class="btm-brdr">{{ex?.class}}</p>
              <p *ngIf="ex?.subjects?.length>0" class="btm-brdr">
                <span class="pub-st-tbl-sub">Subject</span>
                <span class="pub-st-tbl-mark">Mark</span>
                <span class="pub-st-tbl-obt">Obt. Mark</span>
              </p>

              <p *ngFor="let sub of ex?.subjects" class="btm-brdr-lt">
                <span class="pub-st-tbl-sub">{{sub?.subject}}</span>
                <span class="pub-st-tbl-mark">{{sub?.mark}}</span>
                <span class="pub-st-tbl-obt">{{sub.obt_mark}}</span>
              </p>
              <app-common *ngIf="ex?.subjects?.length<=0 && !adminUser"></app-common>

            </ion-label>

          </ion-item>
          <app-common *ngIf="studentDetails[0]?.exam?.length<=0 && !adminUser"></app-common>

        </div>
      </ion-accordion>
    </ion-accordion-group> -->
  </div>


</ion-content>

<ion-footer class="ion-no-border ion-no-margin ion-no-padding"
  *ngIf="adminUser && (actionTyVal==='entry' || actionTyVal==='fees')">
  <ion-toolbar class="background-trans">
    <ion-button color="primary" class="ion-padding" expand="block" (click)="checking()"
      style="color: primary;">Add</ion-button>
  </ion-toolbar>
</ion-footer>